#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <GDIPlus.au3>
#include <Misc.au3>

$Width = 300
$Height = 460

$JumpSpeed = 0.15
$JumpHeight = 80 ;Pixel
$MoveSpeed = 0

$GUI1 = GUICreate("Doodle Jump - Gamma", $Width, $Height)
GUISetState(@SW_SHOW)

$pDoodle_Rechts = @ScriptDir&"\Doodle_Rechts e.png"
$pDoodle_Links = @ScriptDir&"\Doodle_Links e.png"

_GDIPlus_Startup()
$Background = _GDIPlus_ImageLoadFromFile (@ScriptDir&"\background.gif")

$Doodle_Rechts =_GDIPlus_ImageLoadFromFile ($pDoodle_Rechts)
$Doodle_Links = _GDIPlus_ImageLoadFromFile ($pDoodle_Links)
$Doodle_Height = _GDIPlus_ImageGetHeight($Doodle_Rechts)
$AktuellerDoodle = $Doodle_Rechts

$Graphic = _GDIPlus_GraphicsCreateFromHWND($GUI1)
$Bitmap = _GDIPlus_BitmapCreateFromGraphics($Width, $Height, $Graphic)
$Buffer = _GDIPlus_ImageGetGraphicsContext($Bitmap)

$i = 0
$x = 50


While 1
	$x -= $MoveSpeed
    If _IsPressed("25") Then
        $MoveSpeed += 2
		
        $AktuellerDoodle = $Doodle_Links
    ElseIf _IsPressed("27") Then
        $MoveSpeed -= 2
        $AktuellerDoodle = $Doodle_Rechts
    EndIf
    
    $i += $JumpSpeed
    $y = $Height - $Doodle_Height - 40 - Abs(Sin($i))*$JumpHeight
    
;~     _GDIPlus_GraphicsClear($Buffer, 0xFFFFFFFF)
    _GDIPlus_GraphicsDrawImage ($Buffer, $Background, 0, 0)
    
    _GDIPlus_GraphicsDrawImage ($Buffer, $AktuellerDoodle, $x, $y)
    _GDIPlus_GraphicsDrawImageRect($Graphic, $Bitmap, 0, 0, $Width, $Height)
    Sleep(20)
    
    $nMsg = GUIGetMsg()
    Switch $nMsg
        Case $GUI_EVENT_CLOSE
            _GDIPlus_GraphicsDispose($Graphic)
            _GDIPlus_ImageDispose($Buffer)
            _WinAPI_DeleteObject($Bitmap)
            
            Exit
    EndSwitch
WEnd